{% extends 'base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load i18n %}
{% block title %}
    {% trans "Restaurants" %}
{% endblock %}

{% block body %}
    <div class="container-fluid mb-3">
        <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
            <a class="navbar-brand" href="#">اسنپ فود</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarNavDropdown"
                    aria-controls="navbarNavDropdown" aria-expanded="false"
                    aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavDropdown">
                <ul class="navbar-nav">
                    <li class="nav-item dropdown ml-3">
                        <a class="nav-link dropdown-toggle" href="#"
                           id="navbarDropdownMenuLink" role="button"
                           data-toggle="dropdown" aria-haspopup="true"
                           aria-expanded="false">
                            {{ request.user.name }}
                        </a>
                        <div class="dropdown-menu"
                             aria-labelledby="navbarDropdownMenuLink">
                            <a class="dropdown-item" href="#">فعالیت ها</a>
                            <a class="dropdown-item" href="#">آدرس ها</a>
                            <a class="dropdown-item" href="#">تنظیمات</a>
                            <a class="dropdown-item" href="{% url 'account:logout' %}">خروج</a>
                        </div>
                    </li>
                    <li class="nav-item ml-3">
                        <a class="nav-link" href="#">اعتبار <span>100 تومان</span></a>
                    </li>
                    <li class="nav-item ml-3">
                        <a class="nav-link" href="#">راهنما</a>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
    <div class="container-fluid" id="search">
        <br>
        <br>
        <br>
        <form action="#">
            <div class="form-row justify-content-center">
                <div class="col-md-2 mb-1">
                    <input type="text" class="form-control" placeholder="شهر">
                </div>
                <div class="col-md-2 mb-1">
                    <input type="text" class="form-control" placeholder="محله">
                </div>
                <div class="col-md-2 mb-1">
                    <input type="text" class="form-control" placeholder="غذا">
                </div>
                <div class="col-md-2 mb-1">
                    <input type="text" class="form-control" placeholder="رستوران">
                </div>
                <div class="col-md-2 mb-1">
                    <input type="submit" class="form-control btn-success"
                           placeholder="جستجو" value="جستجو">
                </div>
            </div>

        </form>
        <br>
        <br>
        <br>
        <br>
    </div>
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-3">
                <form action="{% url 'restaurants:restaurants' %}" id="getRestaurant" method="get">
                    <div class="card bg-light mb-3">
                        <div class="card-header">خدمات</div>
                        <div class="card-body yekan">
                            <div class="form-check mb-3">
                                <input class="form-check-input" type="radio"
                                       name="service_type" id="all"
                                       value="all" checked>
                                <label class="form-check-label"
                                       for="all">
                                    همه
                                </label>
                            </div>
                            <div class="form-check mb-3">
                                <input class="form-check-input" type="radio"
                                       name="service_type" id="confectionery"
                                       value="confectionery" checked>
                                <label class="form-check-label"
                                       for="confectionery">
                                    شیرینی
                                </label>
                            </div>
                            <div class="form-check mb-3">
                                <input class="form-check-input" type="radio"
                                       name="service_type" id="restaurant"
                                       value="restaurant" checked>
                                <label class="form-check-label"
                                       for="restaurant">
                                    رستوران
                                </label>
                            </div>
                            <div class="form-check mb-3">
                                <input class="form-check-input" type="radio"
                                       name="service_type" id="cofee"
                                       value="cofee" checked>
                                <label class="form-check-label"
                                       for="cofee">
                                    کافی شاپ
                                </label>
                            </div>
                            <div class="form-check mb-3">
                                <input class="form-check-input" type="radio"
                                       name="service_type" id="super_market"
                                       value="super_market" checked>
                                <label class="form-check-label"
                                       for="super_market">
                                    سوپرمارکت
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="card bg-light mb-3">
                        <div class="card-header">مرتب کردن بر اساس</div>
                        <div class="card-body yekan">
                            <div class="form-check mb-3">
                                <input class="form-check-input" type="radio"
                                       name="ordering" id="max_rate"
                                       value="max_rate" checked>
                                <label class="form-check-label"
                                       for="max_rate">
                                    بیشترین امتیاز
                                </label>
                            </div>
                            <div class="form-check mb-3">
                                <input class="form-check-input" type="radio"
                                       name="ordering" id="speed"
                                       value="speed" checked>
                                <label class="form-check-label"
                                       for="speed">
                                    سریع ترین زمان ارسال
                                </label>
                            </div>
                            <div class="form-check mb-3">
                                <input class="form-check-input" type="radio"
                                       name="ordering" id="newest"
                                       value="newest" checked>
                                <label class="form-check-label"
                                       for="newest">
                                    جدیدترین ها
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="card bg-light mb-3">
                        <div class="card-header">فیلترها</div>
                        <div class="card-body yekan">
                            <div class="form-check mb-3">
                                <input class="form-check-input" type="checkbox"
                                       name="filters" id="has_coupon"
                                       value="has_coupon">
                                <label class="form-check-label"
                                       for="has_coupon">
                                    دارای کوپن
                                </label>
                            </div>
                            <div class="form-check mb-3">
                                <input class="form-check-input" type="checkbox"
                                       name="filters" id="has_discount"
                                       value="has_discount">
                                <label class="form-check-label"
                                       for="has_discount">
                                    دارای تخفیف
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="card bg-light mb-1">
                        <div class="card-header">نوع غذا</div>
                        <div class="card-body yekan">
                            {% for category in categories %}
                                <div class="form-check mb-3">
                                    <input class="form-check-input" type="checkbox"
                                           name="food_type"
                                           id="category{{ category.id }}"
                                           value="{{ category.id }}">
                                    <label class="form-check-label"
                                           for="category{{ category.id }}">
                                        {{ category.title }}
                                    </label>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12"></div>
                        <input type="submit" class="btn-success col-11 mr-3 ml-3" value="جستجو">
                    </div>

                </form>
            </div>
            <div class="col-md-9">
                {% for restaurant in restaurants %}
                    <div class="card mb-5">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-2">
                                    <img src="{{ restaurant.image.url }}"
                                         class="img-thumbnail">
                                </div>
                                <div class="col-md-7">
                                    <h6><a href="{{ restaurant.get_absolute_url }}">{{ restaurant.name }}</a></h6>
                                    <span class="yekan">آدرس:</span>
                                    <span class="yekan">{{ restaurant.scope }}-{{ restaurant.location }}-{{ restaurant.tag }}</span>
                                </div>
                                <div class="col-md-3 ">
                                    <div class="row justify-content-end ml-2">
                                    <span class="yekan mt-2">(
                                {{ restaurant.comments.count }}
                                )
                                نظر</span>
                                        <button type="button"
                                                class="btn btn-outline-success mr-3 yekan">
                                            {{ restaurant.rate }}
                                        </button>
                                        <div><span
                                                class="yekan mt-3">زمان تحویل: {{ restaurant.time_to_delivery }}</span>
                                        </div>
                                        <a href="{% url 'restaurants:restaurant' restaurant.slug %}">
                                        <button type="button"
                                                class="btn btn-outline-danger mr-2 yekan mt-2 btn-block">
                                            نمایش منو
                                        </button>
                                            </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}
